Bug 8433 - XFdrake crashes at start on ASUS EeePC 1215N with Intel +NVidia ION graphics
: XFdrake crashes at start on ASUS EeePC 1215N with Intel +NVidia ION graphics
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-27 17:26 MSD by Eugene Shatokhin
Modified: 2017-11-20 18:37 MSK (History)
2 users (show)

See Also:
RPM Package: drakx-kbd-mouse-x11
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments
Proposed patch. (500 bytes, patch)
2017-10-27 18:19 MSD, Eugene Shatokhin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2017-10-27 17:26:30 MSD
It shows the following error:
---------------------------
Программа "XFdrake" аварийно завершила свою работу со следующей ошибкой:

  Modification of a read-only value attempted at /usr/lib/libDrakX/Xconfig/card.pm line 127.
  Perl's trace:
  standalone::bug_handler() called from /usr/lib/libDrakX/Xconfig/card.pm:127
  Xconfig::card::probe() called from /usr/lib/libDrakX/Xconfig/card.pm:470
  Xconfig::card::configure() called from /usr/lib/libDrakX/Xconfig/main.pm:83
  Xconfig::main::configure_everything() called from /usr/lib/libDrakX/Xconfig/main.pm:328
  Xconfig::main::configure_everything_or_configure_chooser() called from /usr/sbin/XFdrake:48
----------------------------

System info: https://linux-hardware.org/index.php?probe=bd22262452
Comment 1 Eugene Shatokhin 2017-10-27 17:27:53 MSD
ROSA R9 x64; I tried kernels 4.9.x and 4.13.x - the error is the same.
Comment 2 Eugene Shatokhin 2017-10-27 18:19:41 MSD
Created attachment 4744 [details]
Proposed patch.

While debugging that code, I found that @c contains an undefined element on that system. Possibly, it was created when the entries for Intel GPUs were deleted.

I am not an expert in Perl and cannot say, why that happened here and did not show up elsewhere.

Let us just make sure @c contains no undefined elements before XFdrake proceeds.
Comment 3 Eugene Shatokhin 2017-10-27 19:28:58 MSD
Advisory:
drakx-kbd-mouse-x11 was updated to fix the startup of XFdrake in ROSA R9 and newer on ASUS EeePC 1215N and similar systems.


Build lists:
https://abf.io/build_lists/2906881
https://abf.io/build_lists/2906882


Note.
I am lazy and I have just added the patch to https://abf.io/import/drakx-kbd-mouse-x11 rather than to the source project. If this update introduces no regressions, you can add the fix to the source project directly, if you like.
Comment 4 Vladimir Potapov 2017-11-14 18:37:37 MSK
The update is sent to expanded testing
**************************************
Comment 5 Vladimir Potapov 2017-11-20 17:09:44 MSK
drakx-kbd-mouse-x11-0.129-4
https://abf.io/build_lists/2906881
https://abf.io/build_lists/2906882
******************************** Advisory *****************************
drakx-kbd-mouse-x11 was updated to fix the startup of XFdrake in ROSA R9 and newer on ASUS EeePC 1215N and similar systems.
***********************************************************************
QA Verified